Bug 200422 - Web Inspector: rename "Stylesheet" to "Style Sheet" to match spec text
Summary: Web Inspector: rename "Stylesheet" to "Style Sheet" to match spec text
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-08-03 18:14 PDT by Devin Rousso
Modified: 2019-08-05 15:45 PDT (History)
13 users (show)

See Also:


Attachments
Patch (37.36 KB, patch)
2019-08-03 20:32 PDT, Devin Rousso
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.20 MB, application/zip)
2019-08-03 21:40 PDT, Build Bot
no flags Details
Patch (37.36 KB, patch)
2019-08-03 22:10 PDT, Devin Rousso
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.20 MB, application/zip)
2019-08-03 23:19 PDT, Build Bot
no flags Details
Patch (37.36 KB, patch)
2019-08-03 23:29 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (3.26 MB, application/zip)
2019-08-04 00:38 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (2.99 MB, application/zip)
2019-08-04 01:18 PDT, Build Bot
no flags Details
Patch (37.55 KB, patch)
2019-08-04 19:24 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-08-03 18:14:48 PDT
<https://www.w3.org/TR/html401/present/styles.html>
Comment 1 Devin Rousso 2019-08-03 20:32:00 PDT
Created attachment 375496 [details]
Patch
Comment 2 Build Bot 2019-08-03 20:33:24 PDT Comment hidden (obsolete)
Comment 3 Build Bot 2019-08-03 21:40:50 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2019-08-03 21:40:52 PDT Comment hidden (obsolete)
Comment 5 Devin Rousso 2019-08-03 22:10:02 PDT
Created attachment 375499 [details]
Patch
Comment 6 Build Bot 2019-08-03 23:19:28 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2019-08-03 23:19:30 PDT Comment hidden (obsolete)
Comment 8 Devin Rousso 2019-08-03 23:29:58 PDT
Created attachment 375501 [details]
Patch
Comment 9 Build Bot 2019-08-04 00:38:35 PDT Comment hidden (obsolete)
Comment 10 Build Bot 2019-08-04 00:38:36 PDT Comment hidden (obsolete)
Comment 11 Build Bot 2019-08-04 01:18:50 PDT Comment hidden (obsolete)
Comment 12 Build Bot 2019-08-04 01:18:51 PDT Comment hidden (obsolete)
Comment 13 Devin Rousso 2019-08-04 19:24:46 PDT
Created attachment 375514 [details]
Patch
Comment 14 Ross Kirsling 2019-08-05 13:26:01 PDT
Hmm, consistency is definitely good, particularly in display text, but unfortunately it seems like they're kind of both right?

It's true that WHATWG's current HTML spec seems to say "CSS style sheet" pretty consistently:
https://html.spec.whatwg.org/multipage/rendering.html#the-css-user-agent-style-sheet-and-presentational-hints
(Except, y'know, there's <link rel="stylesheet">. :P)

But W3C's actual CSS specs are quite divided -- in fact, the current document describing how to parse CSS uses "stylesheet" throughout:
https://www.w3.org/TR/css-syntax-3/
(Except for this one divergent subsection: https://www.w3.org/TR/css-syntax-3/#conform-classes)

And conversationally, we certainly say "stylesheet" and not "style sheet" (like "bluebird" and not "blue bird"). 🤔

I don't have a strong opinion about which way the display text should be unified, but for identifiers, moving *toward* StyleSheet / style-sheet sort of gives me pause.
Comment 15 Joseph Pecoraro 2019-08-05 13:37:17 PDT
Comment on attachment 375514 [details]
Patch

r=me

This may need an ITMLKit notification but I don't know.
Comment 16 WebKit Commit Bot 2019-08-05 15:44:16 PDT
Comment on attachment 375514 [details]
Patch

Clearing flags on attachment: 375514

Committed r248274: <https://trac.webkit.org/changeset/248274>
Comment 17 WebKit Commit Bot 2019-08-05 15:44:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 18 Radar WebKit Bug Importer 2019-08-05 15:45:29 PDT
<rdar://problem/53962273>